<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="Preorder_goods" class="tab_content">
	<h3>Noodlemans PreOrder Plugin</h3>
	<p>Assign your products a release date, and enable preorders from a specific date</h3></p>

	<fieldset><legend>Configuration Settings</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
	</fieldset>	
	
	<fieldset><legend>License Information</legend>
		{$PLUGIN_LICENSE_KEY_HTML}
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
	</fieldset>
	
	<fieldset><legend>Date Configuration</legend>
		{$PLUGIN_DATE_FORMAT}
	</fieldset>	
	
	<div class="form_control">
		<input type="submit" name="save" value="{$LANG.common.save}" />
	</div>

	<br/>

		
	<fieldset><legend>Plugin Version Information & Messages</legend>
		<div>Version: {$PLUGIN_VERSION} </div>
		{$PLUGIN_MESSAGES}
	</fieldset>
	
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />	
  </div>


<div id="preorder-list" class="tab_content">
	<h3>Preorder Inventory List</h3>
	<p>The table below shows all items that are on preorder. The list only includes goods ordered after version 1.0.4 of the PreOrder module had been installed. The list includes all orders where the status is not &quot;Pending&quot;, &quot;Order Complete&quot;, &quot;Declined&quot;, &quot;Failed Fraud Review&quot; and &quot;Cancelled&quot;. You can use this module with the &quot;Custom Order Status&quot; plugin. </p>
	
	<table>
		<thead>
			<tr>
				<td>&nbsp;</td>
				<td>Order Date</td>
				<td>Customer</td>				
				<td>Order Number</td>
				<td>Item</td>
				<td>Launch Date</td>
				<td>Preorder Status</td>
			</tr>
		</thead>
		
		<tbody>
			{if isset($PREORDERLIST)}
			{foreach from=$PREORDERLIST item=row}
				<tr>
					<td style="background-color:{if $row.overdue == 1}red{else}green{/if}; width:22px;">&nbsp;</td>
					<td>{$row.order_date}</td>
					<td><a href="?_g=customers&action=edit&customer_id={$row.customer_id}">{$row.first_name} {$row.last_name}</a></td>
					<td><a href="?_g=orders&action=edit&order_id={$row.cart_order_id}">{$row.cart_order_id}</a></td>
					<td><a href="?_g=products&action=edit&product_id={$row.product_id}">{$row.name}</a></td>
					<td>{$row.preorder_avail_date}</td>
					<td>{if $row.overdue == 1}Overdue{else}Waiting for Launch Date{/if}</td>
					</tr>
			{/foreach}
			{/if}
		</tbody>
	</table>
	
	
</div>  
  
  
<div id="install_guide" class="tab_content">
	<h3>How to Install This Module</h3>
	<p>If installing this module for the first time, or after updating your store you should run through the steps below to ensure the module continues to work correctly</p>
	<p>Support is avaialble from <A HREF="HTTP://www.noodleman.co.uk/support">http://www.noodleman.co.uk/support</a> should you require any assistance</p>	
	<p>The steps offered in these instructions to modify your store skin may vary depending on the skin you are using and serve as a guideline only. Please review each step below as not all relate to the store skin</p>
	<ol>
	

		<li><b>Add Items to your store skin</b><p>Open the file &quot;skins/&lt;Your Skin&gt;/templates/content.product.php&quot; with your favourite text editor. The code below allows us to modify the buy button. You can edit the wording of the message below to suit your needs. use {literal}{$PREORDER_DATE}{/literal} in your message where you wish the date to appear.</p></li>
Around line number 71 FIND:	
<textarea style="width:100%; height:45px;">
{literal}<input type="submit" value="{$LANG.catalogue.add_to_basket}" class="button_white" />{/literal}
</textarea>
<br/>
REPLACE WITH:	
<textarea style="width:100%; height:180px;">
{literal}{if isset($PREORDER_ALLOWED) && $PREORDER_ALLOWED == TRUE}
	{if date("Y-m-d") <= $LAUNCH_DATE}
		<input type="submit" value="Pre-order" class="button_white" />
	{else}
		<input type="submit" value="{$LANG.catalogue.add_to_basket}" class="button_white" />			
	{/if}		
{else}
	<p class="buy_button"><strong>This product will be available for preorder on {$PREORDER_DATE_FORMATTED}</strong></p>
{/if}{/literal}
</textarea></li>			

	<br/><br/>
	
	
		<li><b>Add Items to your store skin</b><p>This step is optional. Completing this step will add a message to your product description, you can specify the release date here if you wish. Open the file &quot;skins/&lt;Your Skin&gt;/templates/content.product.php&quot; with your favourite text editor. </p></li>
Around line number 114 FIND:	
<textarea style="width:100%; height:25px;">
{literal}{$PRODUCT.description}{/literal}
</textarea>
<br/>
ADD BEFORE {literal}{$PRODUCT.description}{/literal}:
<textarea style="width:100%; height:70px;">
{literal}{if isset($LAUNCH_DATE)}
	This product will be launched on {$LAUNCH_DATE_FORMATTED}
{/if}{/literal}
</textarea></li>			
	
	
	<br/><br/>
	
	
		<li><b>Add Items to your store skin</b><p>Open the file &quot;skins/&lt;Your Skin&gt;/templates/content.category.php&quot; with your favourite text editor. This step allows us to modify the buy button when viewing a category. You can modify the wording of the preorder message below as required.</p></li>
Around line number 71 FIND:	
<textarea style="width:100%; height:45px;">
{literal}<p class="buy_button"><input type="text" name="add[{$product.product_id}][quantity]" value="1" class="quantity" /> <input type="submit" value="{$LANG.catalogue.add_to_basket}" class="button_white" /></p>{/literal}
</textarea>
<br/>
REPLACE WITH:
<textarea style="width:100%; height:120px;">
{literal}{if isset($product.preorder_date) && time() >= strtotime($product.preorder_date)}
	<p class="buy_button"><input type="text" name="add[{$product.product_id}][quantity]" value="1" class="quantity" /> <input type="submit" value="{if isset($product.preorder_avail_date) && !is_null($product.preorder_avail_date) &&  $product.preorder_avail_date != "" && strtotime($product.preorder_avail_date) >= time()} PreOrder {else} {$LANG.catalogue.add_to_basket}{/if}" class="button_white" /></p>
{else}
	<p class="buy_button"><strong>This product will be available for preorder on {$product.preorder_date} and released on {$product.preorder_avail_date}</strong></p>
{/if}{/literal}
</textarea> </li>				
	
	<br/><br/>
	
		<li><b>Add Items to your store skin</b><p>Open the file &quot;skins/&lt;Your Skin&gt;/templates/content.homepage.php&quot; with your favourite text editor. This step allows us to modify the buy button when latest items on the store home page. You can modify the wording of the preorder message below as required.</p></li>
Around line number 29 FIND:	
<textarea style="width:100%; height:45px;">
{literal}<input type="submit" value="{$LANG.catalogue.add_to_basket}" class="button_white" />{/literal}
</textarea>
<br/>
REPLACE WITH:
<textarea style="width:100%; height:120px;">
{literal}{if isset($product.preorder_date) && time() >= strtotime($product.preorder_date)}
	<input type="submit" value="{if isset($product.preorder_avail_date) && !is_null($product.preorder_avail_date) &&  $product.preorder_avail_date != "" && strtotime($product.preorder_avail_date) >= time()} PreOrder {else} {$LANG.catalogue.add_to_basket}{/if}" class="button_white" />
{else}
	<p class="buy_button"><strong>Preorder from {$product.preorder_date}</strong></p>
{/if}{/literal}
</textarea> </li>			
	
	
	
	<br/><br/>



	<li><b>Add Custom Hook</b><p>Open the file &quot;classes/cubecart.class.php&quot; with your favourite text editor.</p></li>
Around line number 124 FIND:	
<textarea style="width:100%; height:25px;">
{literal}$product['url'] = $GLOBALS['seo']->buildURL('prod', $product['product_id'], '&amp;');{/literal}
</textarea>
<br/>
AFTER ON A NEW LINE ADD:
<textarea style="width:100%; height:40px;">
{literal}foreach ($GLOBALS['hooks']->load('class.cubecart.latest_products.product') as $hook) include $hook;{/literal}
</textarea> <br/><br/></li>	


	<br/><br/>

		<li><b>Add Custom Hook</b><p>Open the file &quot;classes/catalogue.class.php&quot; with your favourite text editor.</p></li>
Around line number 149 FIND:	
<textarea style="width:100%; height:50px;">
{literal}$product['url'] = $GLOBALS['seo']->buildURL('prod', $product['product_id'], '&amp;');{/literal}
$product['name'] = validHTML($product['name']);
</textarea>
<br/>
AFTER ON A NEW LINE ADD:
<textarea style="width:100%; height:40px;">
{literal}foreach ($GLOBALS['hooks']->load('class.cubecart.mid_display_category') as $hook) include $hook;{/literal}
</textarea> <br/><br/></li>	


	<br/><br/>
	
	
	<li><b>Refresh System Hooks</b><p>Go to &quot;Settings -> Manage Hooks -> Preorder_goods&quot; then press the  &quot;SAVE&quot; button.</p></li>		

	
	</ol>
</div>
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  {$MODULE_ZONES}
</form>






